import 'package:firebase_auth/firebase_auth.dart';
import 'package:flutter/material.dart';
import 'package:flutter_helper/flutter_helper.dart';
import 'package:provider/provider.dart';
import 'package:rxdart/rxdart.dart';

class AuthBloc extends StatefulWidget {
  final Widget child;

  AuthBloc({
    this.child
  });

  @override
  _AuthBlocState createState() => _AuthBlocState();
}

class _AuthBlocState extends State<AuthBloc> {
  final BehaviorSubject<User> _authChangesSubject = BehaviorSubject<User>();

  @override
  void initState() {
    // TODO: implement initState
    super.initState();

    AuthService().onAuthChanged().listen((User user) {
      _authChangesSubject.add(user);
    });
  }

  @override
  void dispose() {
    // TODO: implement dispose
    super.dispose();

    _authChangesSubject.close();
  }

  @override
  Widget build(BuildContext context) {
    return StreamProvider<User>.value(
      value: _authChangesSubject,
      builder: (context, __) {
        return widget.child;
      },
    );
  }
}
