import 'package:flutter/material.dart';

class TextFieldBloc<T> extends TextEditingController {
  set data(T newData) {
    this.value = value.copyWith(
      text: newData.toString(),
      selection: const TextSelection.collapsed(offset: -1),
      composing: TextRange.empty,
    );
  }

  T get data {
    dynamic text;

    switch (T) {
      case double:
        if (value.text == "") {
          text = 0.0;
        } else {
          text = double.tryParse(value.text);
        }

        break;
      case int:
        if (value.text == "") {
          text = 0;
        } else {
          text = int.tryParse(value.text);
        }

        break;
      case String:
        text = value.text;

        break;
    }

    return text;
  }
}
