import 'package:flutter/material.dart';

class PlatformUtil {
  Widget getDifferentWidget(BuildContext context, Widget mobileView, Widget webView) {
    final bool isMobile = MediaQuery.of(context).size.width < 600;

    if (isMobile) {
      return mobileView;
    } else {
      return webView;
    }
  }
  
  Widget getResizedWidget(BuildContext context, Widget widget, double divider, {Alignment alignment = Alignment.topCenter}) {
    final bool isMobile = MediaQuery.of(context).size.width < 600;

    double width;

    if (isMobile) {
      width = MediaQuery
          .of(context)
          .size
          .width;
    } else {
      width = 1917 / divider;
    }

    final Widget child = Container(
      width: width,
      child: widget,
    );

    Widget align = child;

    if (alignment != null) {
      align = Align(alignment: alignment, child: child);
    }

    return widget is Text ? widget : align;
  }

  bool isMobile(BuildContext context) {
    final bool isMobile = MediaQuery.of(context).size.width < 600;

    return isMobile;
  }
}