import 'package:flutter_helper/flutter_helper.dart';
import 'package:flutter_helper/src/Utils/GlobalUtil.dart';
import 'package:flutter/material.dart';

class ShowSignInUtil {
  final dynamic screen;

  ShowSignInUtil({
    @required this.screen
  });

  Future _update(BuildContext context) async {
    final result = await navigate(context, screen);

    return result;
  }

  Future show(BuildContext context) async {
    await dialog(
        context,
        AlertDialog(
          title: Text("Sign in required"),
          content: Column(
            mainAxisSize: MainAxisSize.min,
            crossAxisAlignment: CrossAxisAlignment.start,
            children: [
              Text('Please sign in or create a free account to continue.'),
            ],
          ),
          actions: [
            FlatButton(
              onPressed: () {
                Navigator.pop(context);
              },
              child: Text("CANCEL"),
            ),
            FlatButton(
              onPressed: () async {
                Navigator.pop(context);

                await _update(context);
              },
              child: Text("SIGN IN"),
            )
          ],
        )
    );
  }
}
