import 'package:flutter/material.dart';
import 'package:flutter_helper/flutter_helper.dart';

class DropDownEditingView<T> extends StatelessWidget {
  final dynamic info;

  DropDownEditingView({this.info});

  @override
  Widget build(BuildContext context) {
    return Column(
      crossAxisAlignment: CrossAxisAlignment.start,
      children: [
        Text(
          info.title,
          style: TextStyle(fontWeight: FontWeight.w600),
        ),
        Padding(
          padding: const EdgeInsets.only(top: 8.0),
          child: DropDownStringView(
              initialValue: info.controller.data,
              values: T == bool ? [false, true] : info.values,
              onSelected: info.controller.onSelected),
        )
      ],
    );
  }
}
