import 'package:flutter/material.dart';

class DropDownView extends StatelessWidget {
  final List values;
  final dynamic initialValue;
  final Function onSelected;

  DropDownView({
    this.values,
    this.initialValue,
    this.onSelected
  });

  @override
  Widget build(BuildContext context) {
    return DropdownButtonFormField<dynamic>(
      validator: (value) {
        return null;
      },
      isExpanded: true,
      value: initialValue ?? values.first,
      icon: Icon(Icons.arrow_drop_down),
      iconSize: 24,
      elevation: 16,
      onChanged: (dynamic value) {
        onSelected(value);
      },
      items: (values ?? []).map<DropdownMenuItem<dynamic>>((dynamic value) {
        return DropdownMenuItem<dynamic>(
          value: value,
          child: Text(value.name),
        );
      }).toList()
    );
  }
}