import 'package:flutter/cupertino.dart';
import 'package:flutter/material.dart';

class ExpansionTileView extends StatefulWidget {
  final Widget title;
  final Widget child;
  final Widget leading;

  ExpansionTileView({
    this.title,
    this.child,
    this.leading
  });

  @override
  _ExpansionTileViewState createState() => _ExpansionTileViewState();
}

class _ExpansionTileViewState extends State<ExpansionTileView> {
  @override
  Widget build(BuildContext context) {
    return Theme(
      data: ThemeData(dividerColor: Colors.transparent, accentColor: Colors.grey, unselectedWidgetColor: Colors.grey),
      child: Container(
        decoration: BoxDecoration(
          borderRadius: BorderRadius.circular(4),
          border: Border.all(color: Colors.grey),
        ),
        child: ClipRRect(
          borderRadius: BorderRadius.circular(4),
          child: ExpansionTile(leading: widget.leading, tilePadding: EdgeInsets.only(left: 12, right: 12), title: widget.title, children: [
            widget.child
          ],),
        ),
      ),
    );
  }
}
