import 'package:flutter/material.dart';

class PopUpView extends StatelessWidget {
  final List<dynamic> values;
  final Function onSelected;
  final Widget icon;

  PopUpView({
    this.values,
    this.onSelected,
    this.icon
  });

  @override
  Widget build(BuildContext context) {
    return PopupMenuButton<dynamic>(
      padding: EdgeInsets.all(0.0),
      icon: icon,
      onSelected: (dynamic value) {
        onSelected(value);
      },
      itemBuilder: (BuildContext context) => (values ?? []).map<PopupMenuEntry<dynamic>>((dynamic value) {
        return value.name == "" ? PopupMenuDivider() : PopupMenuItem<dynamic>(
          value: value,
          child: Text(value.name),
        );
      }).toList(),
    );
  }
}
