import 'package:flutter/material.dart';
import 'package:flutter_helper/flutter_helper.dart';

class TextEditingFieldComp<T> extends StatefulWidget {
  final dynamic info;

  TextEditingFieldComp({this.info});

  @override
  _TextEditingFieldCompState<T> createState() => _TextEditingFieldCompState<T>();
}

class _TextEditingFieldCompState<T> extends State<TextEditingFieldComp<T>> {
  @override
  Widget build(BuildContext context) {
    TextInputType type;

    switch (T) {
      case double:
        type = TextInputType.numberWithOptions(decimal: true);
        break;
      case int:
        type = TextInputType.number;
        break;
      case String:
        type = null;
        break;
    }

    return TextFieldView(
      label: widget.info.isLabel ? widget.info.title : null,
      textInputAction: TextInputAction.done,
      keyboardType: type,
      controller: widget.info.controller,
    );
  }
}
